using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

//---------------------------------------------------------------------------

namespace EfromTibet {

  public class Bump2 : StaticActor {
    public const int STATE_THERE = 0;

    public Bump2()
      : base() {

    }

    public override int state {
      get {
        return m_state;
      }
      set {
        if (value == STATE_THERE) { // can't be anything else
          m_state = value;
        }
      }
    }

    public override bool initialize(ContentManager c) {
      try {
        m_texture = c.Load<Texture2D>("Bump2");

        m_imgSize.Width = m_texture.Width;
        m_imgSize.Height = m_texture.Height;

        m_objectSize.X = m_imgSize.Width * 2;
        m_objectSize.Y = m_imgSize.Height * 1.60f;
        m_objectSize.Z = m_imgSize.Width;

        m_collisionSize = m_objectSize;
        m_collisionSize.Y = 500;
        m_collisionSize.Z = 3000;

        pos.X = 0;
        pos.Y = 0;
        pos.Z = 0;

        m_state = STATE_THERE;

        m_rideOver = true;
        return true;
      } catch {
        return false;
      }
    }

    public override bool animate(GameTime gameTime) {
      return false;
    }

  }
}

//---------------------------------------------------------------------------
