//
// Program.cs
//
// This class fires off our game.
//

using System;

namespace EfromTibet {
  static class Program {
    public const string GAME_TITLE = "Escape from Tibet";
    public const string VERSION_STRING = "v 1.05";
    public const int NATIVE_WIDTH = 1024;
    public const int NATIVE_HEIGHT = 768;
    
    public static ControllerEngine controller;
    
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    static void Main(string[] args) {
      controller = new ControllerEngine();
      controller.Run();
      controller.GameShutdown();
    }
  }
}

