using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

//---------------------------------------------------------------------------

namespace EfromTibet {
  public class Tree2 : StaticActor {
    public const int STATE_THERE = 0;
    
    public Tree2(): base() {

    }

    public override int state {
      get {
        return m_state;
      }
      set {
        if (value == STATE_THERE){ // can't be anything else
          m_state = value;  
        }
      }
    }

    public override bool initialize(ContentManager c) {
      try {
        m_texture = c.Load<Texture2D>("Tree2");

        m_imgSize.Width = m_texture.Width;
        m_imgSize.Height = m_texture.Height;

        m_objectSize.X = m_imgSize.Width * 3.2f;
        m_objectSize.Y = m_imgSize.Height * 3.2f;
        m_objectSize.Z = m_imgSize.Width * 2;

        m_collisionSize.Y = m_objectSize.Y;
        m_collisionSize.X = m_objectSize.X / 6;
        m_collisionSize.Z = m_objectSize.Z / 2;


        pos.X = 0;
        pos.Y = 0;
        pos.Z = 0;

        m_state = STATE_THERE;
        return true;
      } catch {
        return false;
      }
    }

    public override bool animate(GameTime gameTime) {
      return false;
    }

  }
}

//---------------------------------------------------------------------------
